Upstream information

CVE-2007-4225 at MITRE

Description

Visual truncation vulnerability in KDE Konqueror 3.5.7 allows remote attackers to spoof the URL address bar via an http URI with a large amount of whitespace in the user/password portion.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 298707 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP1
  • kdelibs3 >= 3.5.10-23.27.1
  • kdelibs3-32bit >= 3.5.10-23.27.1
  • kdelibs3-default-style >= 3.5.10-23.27.1
  • kdelibs3-default-style-32bit >= 3.5.10-23.27.1
  • kdelibs3-default-style-x86 >= 3.5.10-23.27.1
  • kdelibs3-x86 >= 3.5.10-23.27.1
Patchnames:
SUSE Linux Enterprise Server 11 SP1 GA kdelibs3
SUSE Linux Enterprise Server 11 SP2
  • kdelibs3 >= 3.5.10-23.27.1
  • kdelibs3-32bit >= 3.5.10-23.27.1
  • kdelibs3-default-style >= 3.5.10-23.27.1
  • kdelibs3-default-style-32bit >= 3.5.10-23.27.1
  • kdelibs3-default-style-x86 >= 3.5.10-23.27.1
  • kdelibs3-x86 >= 3.5.10-23.27.1
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA kdelibs3
SUSE Linux Enterprise Server 11 SP3
  • kdelibs3 >= 3.5.10-23.27.1
  • kdelibs3-32bit >= 3.5.10-23.27.1
  • kdelibs3-default-style >= 3.5.10-23.27.1
  • kdelibs3-default-style-32bit >= 3.5.10-23.27.1
  • kdelibs3-default-style-x86 >= 3.5.10-23.27.1
  • kdelibs3-x86 >= 3.5.10-23.27.1
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA kdelibs3
SUSE Linux Enterprise Server 11 SP4
  • kdelibs3 >= 3.5.10-23.27.1
  • kdelibs3-32bit >= 3.5.10-23.27.1
  • kdelibs3-default-style >= 3.5.10-23.27.1
  • kdelibs3-default-style-32bit >= 3.5.10-23.27.1
  • kdelibs3-default-style-x86 >= 3.5.10-23.27.1
  • kdelibs3-x86 >= 3.5.10-23.27.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA kdelibs3
SUSE Linux Enterprise Software Development Kit 11 SP4
  • kdelibs3-32bit >= 3.5.10-23.27.1
  • kdelibs3-arts >= 3.5.10-23.27.1
  • kdelibs3-arts-32bit >= 3.5.10-23.27.1
  • kdelibs3-arts-x86 >= 3.5.10-23.27.1
  • kdelibs3-default-style-32bit >= 3.5.10-23.27.1
  • kdelibs3-devel >= 3.5.10-23.27.1
  • kdelibs3-doc >= 3.5.10-23.27.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA kdelibs3-32bit